# Module `MOVEMENT`

Limit the simultaneous movement of Groups within a running Mission.

This module is defined to improve the performance in missions, and to bring additional realism for GROUND vehicles. Performance: If in a DCSRTE there are a lot of moving GROUND units, then in a multi player mission, this WILL create lag if the main DCS execution core of your CPU is fully utilized. So, this class will limit the amount of simultaneous moving GROUND units on defined intervals (currently every minute).

## Global(s)

MOVEMENT |

## Type `MOVEMENT`

MOVEMENT.ClassName |
MOVEMENT:New(MovePrefixes, MoveMaximum) |
MOVEMENT:OnBirth(Event) | Captures the birth events when new Units were spawned.
MOVEMENT:OnDeadOrCrash(Event) | Captures the Dead or Crash events when Units crash or are destroyed.
MOVEMENT:ScheduleStart() | Call this function to start the MOVEMENT scheduling.
MOVEMENT:ScheduleStop() | Call this function to stop the MOVEMENT scheduling.
MOVEMENT:_Scheduler() | This function is called automatically by the MOVEMENT scheduler.

## Global(s)

#MOVEMENT MOVEMENT

## Type `MOVEMENT`

### Field(s)

#string MOVEMENT.ClassName

MOVEMENT:New(MovePrefixes, MoveMaximum)

  ### Parameters

  - `MovePrefixes` :

  - `MoveMaximum` :

MOVEMENT:OnBirth(Event)

  Captures the birth events when new Units were spawned.

  ### Parameter

  - `Event` :

MOVEMENT:OnDeadOrCrash(Event)

  Captures the Dead or Crash events when Units crash or are destroyed.

  ### Parameter

  - `Event` :

MOVEMENT:ScheduleStart()

  Call this function to start the MOVEMENT scheduling.

MOVEMENT:ScheduleStop()

  Call this function to stop the MOVEMENT scheduling.

MOVEMENT:_Scheduler()

  This function is called automatically by the MOVEMENT scheduler.

  A new function is scheduled when MoveScheduled is true.